<?php

use Illuminate\Database\Seeder;

class JobListingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('job_listings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'joblisting.job_listing.view',
                'name'      => 'View JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.create',
                'name'      => 'Create JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.edit',
                'name'      => 'Update JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.delete',
                'name'      => 'Delete JobListing',
            ],
            /*
            [
                'slug'      => 'joblisting.job_listing.verify',
                'name'      => 'Verify JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.approve',
                'name'      => 'Approve JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.publish',
                'name'      => 'Publish JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.unpublish',
                'name'      => 'Unpublish JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.cancel',
                'name'      => 'Cancel JobListing',
            ],
            [
                'slug'      => 'joblisting.job_listing.archive',
                'name'      => 'Archive JobListing',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/joblisting/job_listing',
                'name'        => 'JobListing',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/joblisting/job_listing',
                'name'        => 'JobListing',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'job_listing',
                'name'        => 'JobListing',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'joblisting.job_listing.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
