This is a Laravel 5 package that provides joblisting management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `putup/joblisting`.

    "putup/joblisting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Putup\Joblisting\Providers\JoblistingServiceProvider::class,

```

And also add it to alias

```php
'Joblisting'  => Putup\Joblisting\Facades\Joblisting::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Putup\Joblisting\Providers\JoblistingServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Putup\Joblisting\Providers\JoblistingServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Putup\Joblisting\Providers\JoblistingServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Putup\Joblisting\Providers\JoblistingServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Putup\Joblisting\Providers\JoblistingServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Putup\Joblisting\Providers\JoblistingServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


