    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('joblisting::job_listing.name') !!}</a></li>
            <div class="box-tools pull-right">
                @include('joblisting::admin.job_listing.partial.workflow')
                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#joblisting-job_listing-entry' data-href='{{trans_url('admin/joblisting/job_listing/create')}}'><i class="fa fa-times-circle"></i> {{ trans('app.new') }}</button>
                @if($job_listing->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#joblisting-job_listing-entry' data-href='{{ trans_url('/admin/joblisting/job_listing') }}/{{$job_listing->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#joblisting-job_listing-entry' data-datatable='#joblisting-job_listing-list' data-href='{{ trans_url('/admin/joblisting/job_listing') }}/{{$job_listing->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('joblisting-job_listing-show')
        ->method('POST')
        ->files('true')
        ->action(URL::to('admin/joblisting/job_listing'))!!}
            <div class="tab-content clearfix">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('joblisting::job_listing.name') !!}  [{!! $job_listing->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('joblisting::admin.job_listing.partial.entry')
                </div>
            </div>
        {!! Form::close() !!}
    </div>