<?php

// Admin  routes  for job_listing
Route::group(['prefix' => '/admin/joblisting'], function () {
    Route::put('news/workflow/{job_listing}/{step}', 'JobListingAdminController@putWorkflow');
    Route::resource('job_listing', 'JobListingAdminController');
});


// User  routes for job_listing
Route::group(['prefix' => '/user/joblisting'], function () {
    Route::resource('job_listing', 'JobListingUserController');
});

// Public  routes for job_listing
Route::group(['prefix' => '/joblistings'], function () {
    Route::get('news/workflow/{job_listing}/{step}/{user}', 'JobListingController@getWorkflow');
    Route::get('/', 'JobListingPublicController@index');
    Route::get('/{slug?}', 'JobListingPublicController@show');
});


