<?php

namespace Putup\Joblisting\Repositories\Eloquent;

use Putup\Joblisting\Interfaces\JobListingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class JobListingRepository extends BaseRepository implements JobListingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('putup.joblisting.job_listing.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('putup.joblisting.job_listing.model');
    }
}
