<?php

namespace Putup\Joblisting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class JobListingItemTransformer extends TransformerAbstract
{
    public function transform(\Putup\Joblisting\Models\JobListing $job_listing)
    {
        return [
            'id'                => $job_listing->getRouteKey(),
            'title'             => $job_listing->title,
            'status'            => trans('app.'.$job_listing->status),
            'created_at'        => format_date($job_listing->created_at),
            'updated_at'        => format_date($job_listing->updated_at),
        ];
    }
}