<div class="container">
    <h1> JobListings</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($job_listings as $job_listing)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $job_listing['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('joblisting') }}/{!! $job_listing->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="title">
                    {!! trans('joblisting::job_listing.label.title') !!}
                </label><br />
                    {!! $job_listing['title'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$joblistings->render()}}
        </div>
        <div class="col-md-4">
            @include('joblisting::public.job_listing.aside')
        </div>
    </div>
</div>